{
    attributes = (
        {
            columnName = "tvi_Ordre"; 
            externalType = NUMBER; 
            name = tviOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_DA"; 
            externalType = VARCHAR2; 
            name = vpeDA; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_DB1"; 
            externalType = VARCHAR2; 
            name = vpeDB1; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_DB3"; 
            externalType = VARCHAR2; 
            name = vpeDB3; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_EA"; 
            externalType = VARCHAR2; 
            name = vpeEA; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_EB1"; 
            externalType = VARCHAR2; 
            name = vpeEB1; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_EB3"; 
            externalType = VARCHAR2; 
            name = vpeEB3; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_EC2"; 
            externalType = VARCHAR2; 
            name = vpeEC2; 
            valueClassName = NSString; 
            valueType = S; 
            width = 24; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_ED21"; 
            externalType = VARCHAR2; 
            name = vpeED21; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_ED3"; 
            externalType = VARCHAR2; 
            name = vpeED3; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_ED4"; 
            externalType = VARCHAR2; 
            name = vpeED4; 
            valueClassName = NSString; 
            valueType = S; 
            width = 11; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_EG1"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "VPE_EG2"; }; 
            name = vpeEG1; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "vpe_Etat"; 
            externalType = VARCHAR2; 
            name = vpeEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "vpe_Ordre"; 
            externalType = NUMBER; 
            name = vpeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_TA"; 
            externalType = VARCHAR2; 
            name = vpeTA; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_TB1"; 
            externalType = VARCHAR2; 
            name = vpeTB1; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_TB2"; 
            externalType = VARCHAR2; 
            name = vpeTB2; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VPE_TB3"; 
            externalType = VARCHAR2; 
            name = vpeTB3; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }
    ); 
    attributesUsedForLocking = (
        tviOrdre, 
        vpeDA, 
        vpeDB1, 
        vpeDB3, 
        vpeEA, 
        vpeEB1, 
        vpeEB3, 
        vpeEC2, 
        vpeED21, 
        vpeED3, 
        vpeED4, 
        vpeEG1, 
        vpeEtat, 
        vpeOrdre, 
        vpeTA, 
        vpeTB1, 
        vpeTB2, 
        vpeTB3
    ); 
    className = "org.cocktail.maracuja.server.metier.EOVirementParamEtebac"; 
    classProperties = (
        typevirement, 
        vpeDA, 
        vpeDB1, 
        vpeDB3, 
        vpeEA, 
        vpeEB1, 
        vpeEB3, 
        vpeEC2, 
        vpeED21, 
        vpeED3, 
        vpeED4, 
        vpeEG1, 
        vpeEtat, 
        vpeTA, 
        vpeTB1, 
        vpeTB2, 
        vpeTB3
    ); 
    externalName = "maracuja.Virement_Param_Etebac"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            typevirement, 
            vpeDA, 
            vpeDB1, 
            vpeDB3, 
            vpeEA, 
            vpeEB1, 
            vpeEB3, 
            vpeEC2, 
            vpeED21, 
            vpeED3, 
            vpeED4, 
            vpeEG1, 
            vpeEtat, 
            vpeTA, 
            vpeTB1, 
            vpeTB2, 
            vpeTB3
        ); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.EOVirementParamEtebac"; 
    }; 
    name = VirementParamEtebac; 
    primaryKeyAttributes = (vpeOrdre); 
    relationships = (
        {
            destination = TypeVirement; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tviOrdre; sourceAttribute = tviOrdre; }); 
            name = typevirement; 
        }
    ); 
}
